All pages
Powered by GitBook
1 of 10

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

State diagram

The following diagram shows the possible states for the documentation object in the Marketplace Platform and the transition between these states:

The state transition diagram of the documentation object.
State
Definition

Draft

The documentation object is being created by the vendor. The object is not visible to the clients yet in the marketplace.

Pending

The vendor has submitted the documentation object to SoftwareOne Operations for review and publishing.

Published

The documentation object is visible in the marketplace.

Unpublished

The documentation object is not visible in the marketplace.

Deleted

The document object no longer exists. It's no longer part of the product definition and can't be used.

Create document

Create a new document in catalog management.

Document

The Document object lets you upload product documentation (via an online link or file upload) to the product object.

This object contains the following attributes:

Field
Type
Description

id

string

List documents

Lists all documents based on filter criteria.

Get document

Gets a document by ID.

(Read-only) The identifier for the object.

name

string

The name of the document.

description

string

A description of the document.

type

string

The type of the document.

url

string

The URI to access the document.

language.name

string

The name of the language.

language.code

string

The ISO code of the language.

status

string

The status of the document.

product

object

Represents the object.

audit

object

Represents the object.

DOCUMENT OBJECT
 {
    "id": "DOC-1234-1234",
    "href": "v1/catalog-management/media/DOC-1234-1234",
    "name": "Guide to establishing a reseller relationship",
    "description": "Learn what happens when you establish a reseller relationship with SoftwareOne",
    "type": "File",
    "url": "https://address.to.media.file.pl/abcde.docx",
    "language": {
      name: "Polish",
      code: "pl-pl",
    },
    "state": "Draft",
    "product": {
      "id": "PRD-1111-1111-1111",
      "name": "Microsoft Office 365 NCE",
      "icon": "/static/PRD-1111-1111-1111/logo.png"
     },
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
  }

Example

Delete document

Removes a document.

product
audit

Update document

Update document.

Mark document for review

Mark a document for review.

Publish document

Publishes a document.

Unpublish document

Unpublish a document.

post
Path parameters
productIdstringRequired
Body
namestringOptional
descriptionstringOptional
languagestring · min: 1Required
documentTypestring · enumOptionalPossible values:
urlstringOptional
displayOrderinteger · int32Optional
filestring · binary · nullableOptional
filestring · binaryOptional
Responses
201

Created

application/json
timeStampstring · date-timeOptional
markedForDeletebooleanRead-onlyOptional
markedForUpdatebooleanRead-onlyOptional
valuestringRead-onlyOptional
postfixNumberinteger · int32Read-onlyOptional
valuestringRead-onlyOptional
urlstring · nullableRead-onlyOptional
valuestringRead-onlyOptional
languagestring · nullableRead-onlyOptional
statusstring · enumOptionalPossible values:
isDeletedbooleanOptional
revisioninteger · int32Read-onlyOptional
useDeleteStatusbooleanRead-onlyOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/catalog/products/{productId}/documents
POST /public/v1/catalog/products/{productId}/documents HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 153

{
  "document": {
    "name": "text",
    "description": "text",
    "language": "text",
    "documentType": "Online",
    "url": "text",
    "displayOrder": 1,
    "file": "binary"
  },
  "file": "binary"
}
{
  "domainEvents": [
    {
      "timeStamp": "2026-01-01T00:00:00.000Z"
    }
  ],
  "markedForDelete": true,
  "markedForUpdate": true,
  "documentId": {
    "value": "text",
    "postfixNumber": 1
  },
  "fileId": {
    "value": "text"
  },
  "url": "text",
  "id": {
    "value": "text"
  },
  "language": "text",
  "status": "Draft",
  "isDeleted": true,
  "revision": 1,
  "useDeleteStatus": true
}
get
Path parameters
productIdstringRequired
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
get/public/v1/catalog/products/{productId}/documents
GET /public/v1/catalog/products/{productId}/documents HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "revision": 1,
      "type": "text",
      "description": "text",
      "status": "text",
      "filename": "text",
      "size": 1,
      "contentType": "text",
      "url": "text",
      "language": "text",
      "product": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "status": "text"
      }
    }
  ]
}
get
Path parameters
idstringRequired
productIdstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
301

Moved Permanently

No content

400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/catalog/products/{productId}/documents/{id}
GET /public/v1/catalog/products/{productId}/documents/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}
delete
Path parameters
productIdstringRequired
idstringRequired
Responses
204

No Content

No content

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

delete/public/v1/catalog/products/{productId}/documents/{id}
DELETE /public/v1/catalog/products/{productId}/documents/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

put
Path parameters
productIdstringRequired
idstringRequired
Body
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
Responses
204

No Content

No content

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

put/public/v1/catalog/products/{productId}/documents/{id}
PUT /public/v1/catalog/products/{productId}/documents/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 545

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "language": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}

No content

post
Path parameters
productIdstringRequired
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/catalog/products/{productId}/documents/{id}/review
POST /public/v1/catalog/products/{productId}/documents/{id}/review HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}
post
Path parameters
productIdstringRequired
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/catalog/products/{productId}/documents/{id}/publish
POST /public/v1/catalog/products/{productId}/documents/{id}/publish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}
post
Path parameters
productIdstringRequired
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
statusstringOptional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/catalog/products/{productId}/documents/{id}/unpublish
POST /public/v1/catalog/products/{productId}/documents/{id}/unpublish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}